MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026777Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-10-15 11:392016-04-20 15:49
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026777: Incorrect result of intersection part of bsection operation
DescriptionTest case "boolean bsection M3".

While calling "bsection" command we obtain wrong 3D-curve (see attached archive "bsection curves" - curve c2 has bent).

Attention:
Result of "bopcurves" operation produces curves, which seem to be valid.

Therefore, use modified command

   bopcurves a_1 a_2 -2d -p 0.20639206339545224 0.69260832843385300 0.0 0.017002507022347624

for reproducing problems (this option was entered to the fix for 26841 issue).
Steps To Reproducetest boolean bsection M3

with specify break point in method: BOPAlgo_PaveFiller::PerformFF() (BOPAlgo_PaveFiller_6.cxx):

for (i=1; i<=aNbCurves; ++i) {
....
const Handle(Geom_Curve)& aC3D= aIC.Curve();
....
}

(line 317 on IR-2015-10-08). See obtained 3D-curves.

              OR

bopcurves a_1 a_2 -2d -p 0.20639206339545224 0.69260832843385300 0.0 0.017002507022347624
Additional information
and documentation updates
The reason of different result between intersection part of "bsection" and "bopcurves" command is in adding additional start point in Walking-line (see BOPAlgo_PaveFiller::PerformFF(), "aFaceFace.SetList(aListOfPnts);", line 245 on IR-2015-10-08) during "bsection".
TagsNo tags attached.
Test case numberboolean bsection M3
Attached Files7z file icon bsection curves.7z (6,171 bytes) 2015-10-15 11:39
png file icon curve c_2 has bent.PNG (48,712 bytes) 2015-10-15 11:41

- Relationships
related to 0026675closedbugmaster Open CASCADE Eliminate normalization of coordinates in ApproxInt package 

-  Notes
(0046770)
nbv (developer)
2015-10-15 11:40

This bug has been detected during fixing bug 0026675
(0049185)
nbv (developer)
2015-12-16 09:15

Dear Mikhail,

This bug is fixed by CR26841 remote branch. See 0026841:0049180.
(0049188)
msv (developer)
2015-12-16 10:00

Please check and close with #26841.
(0049280)
nbv (developer)
2015-12-18 13:47

Dear Bugmaster,

Corresponding test case (boolean bsection M3) has been amended (in order to make possibility to detect this problem in the future) and pushed to the CR26841* branch.

The result of testing changed case is OK (see message 0026841:0049208).

- Issue History
Date Modified Username Field Change
2015-10-15 11:39 nbv New Issue
2015-10-15 11:39 nbv Assigned To => msv
2015-10-15 11:39 nbv File Added: bsection curves.7z
2015-10-15 11:40 nbv Note Added: 0046770
2015-10-15 11:41 nbv Relationship added related to 0026675
2015-10-15 11:41 nbv File Added: curve c_2 has bent.PNG
2015-10-28 17:39 msv Target Version 7.0.0 => 7.1.0
2015-12-16 09:14 nbv Assigned To msv => nbv
2015-12-16 09:14 nbv Status new => assigned
2015-12-16 09:15 nbv Note Added: 0049185
2015-12-16 09:15 nbv Assigned To nbv => msv
2015-12-16 09:15 nbv Status assigned => feedback
2015-12-16 10:00 msv Note Added: 0049188
2015-12-16 10:00 msv Assigned To msv => bugmaster
2015-12-16 10:17 nbv Description Updated View Revisions
2015-12-16 10:17 nbv Steps to Reproduce Updated View Revisions
2015-12-16 10:18 nbv Steps to Reproduce Updated View Revisions
2015-12-18 13:43 nbv Relationship added related to 0026841
2015-12-18 13:47 nbv Note Added: 0049280
2015-12-21 12:10 bugmaster Status feedback => tested
2015-12-21 12:10 bugmaster Status tested => verified
2015-12-21 12:10 bugmaster Resolution open => fixed
2015-12-21 12:11 bugmaster Test case number => boolean bsection M3
2015-12-21 12:18 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker